Subject: Re: [Alsa-devel] [RFC 01/12] snd-powermac: no longer handle anything with a layout-id property

From: Johannes Berg <[email-masked]>
Date: Fri, 07 Jul 2006 10:04:37 +0200

On Fri, 2006-07-07 at 15:38 +1000, Benjamin Herrenschmidt wrote:

> There is still an issue... wether to enable softvol or not... With
> snd-aoa, the card name is always the same but wether it has hardware
> volume control or not (Toonie doesn't) is not known... Alsa should have
> ways to add softvol automatically if no master volume control exist.

Hm, good point. I probably need to completely revamp the card handling
and not create a card object before the codecs are registered. That way,
I could influence the naming through the codecs.

johannes